mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.CodeAccessPermission System.Security.Permissions.IBuiltInPermission System.Security.Permissions.IUnrestrictedPermission System.Runtime.InteropServices.ComVisible(true)

Drawing and user input events in windows are user interfaces.

The permission to use windows can be one of the following: unrestricted, limited to , only , or no window drawing or user input event access allowed. and are restricted in title and size to prevent possible spoofing by potentially harmful code.

The permission to use the Clipboard can be one of the following: unrestricted, write-only, or no Clipboard access allowed. The paste limitation prevents potentially harmful applications from taking data from the Clipboard without the user's consent, while still allowing the cut, copy, and paste operations when initiated by the user through keyboard commands.

Controls the permissions related to user interfaces and the Clipboard. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor creates either the fully restricted (None) or the Unrestricted form of the permission.

  Initializes a new instance of the class with either fully restricted or unrestricted access, as specified.

  One of the enumeration values.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  To set both the Clipboard and window permissions, use the constructor that takes parameters for both.

  Initializes a new instance of the class with the permissions for the Clipboard, and no access to windows.

  One of the enumeration values.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  To set both the Clipboard and window permissions, use the constructor that takes parameters for both.

  Initializes a new instance of the class with the permissions for windows, and no access to the Clipboard.

  One of the enumeration values.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified permissions for windows and the Clipboard.

  One of the enumeration values.
  One of the enumeration values.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.UIPermissionClipboard To be added. To be added.

  Gets or sets the Clipboard access represented by the permission.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission

  A copy of the permission represents the same access to resources as the original permission.

  Creates and returns an identical copy of the current permission.

  A copy of the current permission.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Reconstructs a permission with a specified state from an XML encoding.

  The XML encoding used to reconstruct the permission.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission ``

  The intersection of two permissions is a permission that describes the set of operations they both describe in common. Specifically, it represents the least permissive values of and from those in the current permission and the specified permission.

  Creates and returns a permission that is the intersection of the current permission and the specified permission.

  A new permission that represents the intersection of the current permission and the specified permission. This new permission is null if the intersection is empty.

  A permission to intersect with the current permission. It must be the same type as the current permission.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The current permission is a subset of the specified permission if all demands that succeed for the current permission also succeed for the specified permission. That is, the specified permission contains at least the permissions contained in the subset. For to return true, both the and values of the current permission must be equal to or less permissive than the values of the specified permission.

  Determines whether the current permission is a subset of the specified permission.

  true if the current permission is a subset of the specified permission; otherwise, false.

  A permission to test for the subset relationship. This permission must be the same type as the current permission.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean

  An unrestricted permission represents access to any and all resources protected by the permission.

  Returns a value indicating whether the current permission is unrestricted.

  true if the current permission is unrestricted; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement To be added.

  Creates an XML encoding of the permission and its current state.

  An XML encoding of the permission, including any state information.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission ``

  The result of a call to is a permission that represents all the operations represented by the current permission as well as all the operations represented by the specified permission. Specifically, it represents the most permissive values of and from those in the current permission and the specified permission.

  Creates a permission that is the union of the permission and the specified permission.

  A new permission that represents the union of the current permission and the specified permission.

  A permission to combine with the current permission. It must be the same type as the current permission.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.UIPermissionWindow To be added. To be added.

  Gets or sets the window access represented by the permission.